For the complete documentation index, see llms.txt. This page is also available as Markdown.

Brazil

Retrieve recipient data from QRCODE

POST https://sandbox.transfersmile.com/api/payout/bank-account-list

This endpoint allows you to retrieve the recipient's data from QRCODE.

Headers

Name
Type
Description

Content-Type*

string

application/json; charset=UTF-8

AppId*

string

Get AppId from dashboard

Authorization*

string

signature, generated by SHA256($sorted_params + $app_key)

Request Body

Name
Type
Description

country*

string

Country Code.

- BRA

method*

string

Method - Fixed value: QRCODE -

account_type*

string

Account type - Fixed value: QRCode

account*

string

Beneficiary's QRCode

timestamp*

Integer

unix timestamp, e.g. 1628512575

buyer_id

string

merchant user's id

email

string

User's email - Max. 200 chars -

{
	"code": 200,
	"msg": "success",
	"time": 1780569833,
	"data": [
		{
			"name": "Pagsmile test",
			"document_id": "59*****85",
			"document_type": "CNPJ",//CPF or CNPJ for Brazil
			"bank_code": "1*****5",//8-digits Bank ISPB Code for Brazil
			"bank_name": "MAGEN IP",
			"bank_number": "1*****5",
			"account": "*****",
			"account_type": "PAYMENT",
			"amount": "0.03",
			"mcc": "5411",
			"scan_id": "QH2026**************",
			"qrcode_type": "DYNAMIC_INSTANT_PAYMENT"// or "STATIC"
		}
	]
}

mcc is a conditional response field containing the recipient's four-digit Merchant Category Code. It is returned only when document_type is CNPJ and an MCC can be determined from the recipient's CNAE. If no corresponding MCC is available, the field is omitted from the response.

Example

Sandbox QR Code Test Data

Use the following QR codes to test different QRCode retrieval scenarios in the sandbox environment.

Static QR Code without Fixed Amount

Use this QR code to test a static QR code without a fixed amount.

Response sample:

Blocked QR Code

Use this QR code to test the scenario where the receiver bank account is blocked.

Response sample:

Invalid or Expired QR Code

Use this QR code to test the scenario where the QR code is invalid or expired.

Response sample:

Last updated

Was this helpful?